Bug 82201 - SSL Handshake Error
Summary: SSL Handshake Error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet   
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Veillard
QA Contact: Red Hat Satellite QA List
URL: http://rhn.redhat.com
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 19:15 UTC by Stan Fox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 15:37:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stan Fox 2003-01-19 19:15:43 UTC
Description of problem:
Cannot get to Red Hat Network Using RHN Connection button (on lower right of 
panel.  Get the following message:

Exception type SSL.Error

Exception Handler Information
Traceback (most recent call last):
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 424, in refresh
    self.model.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_model.py", line 264, in 
refresh
    self.__rpc_server__.refresh(force)
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet_rpc.py", line 84, in 
refresh
    status = server.applet.poll_status()
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/xmlrpclib.py", 
line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 118, in 
request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 602, in 
send_http
    headers=self.headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line 
537, in request
    self._send_request(method, url, body, headers)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line 
553, in _send_request
    self.putrequest(method, url)
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line 217, in 
putrequest
    return HTTPConnection.putrequest(self, method, url, skip_host=skip_host)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line 
453, in putrequest
    self.send(str)
  File "/usr/src/build/143041-i386/install/usr/lib/python2.2/httplib.py", line 
407, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 185, in write
    sent = self._connection.send(data)
Error: [('SSL routines', 'SSL23_WRITE', 'ssl handshake failure')]


Note also that from Mozilla under RH Linux 8.0 I always get the message 
"The Document Contains No Data" when trying to log into RHN, Bugzilla, and 
other RedHat specific pages.

I am perfectly able to log into RHN (or Bugzilla, as I am now) from a Windows 
PC using Internet Explorer.


Version-Release number of selected component (if applicable):

 Using Mozilla 1.0.1-24 i386

How reproducible:

Always on my PC
Just clicking on the Question/Net Activity/Checkmark button.

Steps to Reproduce:
1.Click on check mark
2.Click on "Register with RHN"
3.Click on "Launch."  Check mark turns to question mark and generates the 
error noted above.
    
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Veillard 2003-09-28 20:57:18 UTC
If you can't connect from that machine to the web service, but that a Windows
machine on the same network can, this probably means there is a need for a
proxy on your network. Please check with your network administrator, you
may have to configure the proxy, either when configuring the applet or
when registering the machine to RHN. You can also try to set the proxy 
informations in the RHN config files under /etc/sysconfig/rhn/ ,  up2date
and rhn_register are the files you may have to edit.

Daniel

Comment 2 Daniel Veillard 2004-11-30 15:37:25 UTC
This is more than one year old and I didn't got any error report
about this since, I think this can safely be closed.

Daniel 


Note You need to log in before you can comment on or make changes to this bug.